package com.bwie;

import lombok.extern.log4j.Log4j2;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;


import java.util.HashMap;
import java.util.Map;
import java.util.Set;

@Log4j2
@SpringBootTest
public class TestMap {

    @Test
    public void test() {
        Map<Integer, Student> map = new HashMap<>();
        Student student1 = new Student("张三", 12, "男", 90);
        Student student2 = new Student("李四", 15, "女", 100);
        map.put(1, student1);
        map.put(2, student2);
        log.info("第一种");
        map.forEach((key, student) -> {
            log.info("编号：{}，学生信息：{}", key, student);
        });

        log.info("第二种");
        Set<Map.Entry<Integer, Student>> set = map.entrySet();
        for (Map.Entry<Integer, Student> entry : set) {
            Integer key = entry.getKey();
            Student student = entry.getValue();
            log.info("编号：{}，学生信息：{}", key, student);
        }
        log.info("第三种");
        Set<Integer> keys = map.keySet();
        for (Integer key : keys) {
            Student student = map.get(key);
            log.info("编号：{}，学生信息：{}", key, student);
        }

    }
}
